commit:     0c29f667a2a41f357f7658f66004a96e9a4be435
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 26 10:50:47 2018 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Thu Apr 26 11:22:23 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c29f667

sys-apps/semodule-utils: bump to 2.8_rc1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-apps/semodule-utils/Manifest                   |  1 +
 .../semodule-utils/semodule-utils-2.8_rc1.ebuild   | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/sys-apps/semodule-utils/Manifest b/sys-apps/semodule-utils/Manifest
index 3a90c8cd157..83bde78cf52 100644
--- a/sys-apps/semodule-utils/Manifest
+++ b/sys-apps/semodule-utils/Manifest
@@ -1 +1,2 @@
 DIST semodule-utils-2.7.tar.gz 15447 BLAKE2B 
44c28ad634ef2ab9e478edb58020547c217a01be0aa75cf3a2432be419efb626f0a5742ba1bcec50ba11c132c207a42c05836eb2749e1f80d4a8142fb9e34a9e
 SHA512 
5c7c2a2224949f50c1119edba90d937363e22af52a38f06525e957b29f5310a3e3444d03980b2f808ce995de0f9fc0a9dca8b6167bbfde29c1a33b9bc786d3c8
+DIST semodule-utils-2.8-rc1.tar.gz 12543 BLAKE2B 
99dc8fed5df4a285435aa9c27a38fe2de15d02ea037f0c53b1402940ef7c84c0b6d28237f87adc4482125fc8e7a454042fac62a3a4811de38b55665ec90d9a3d
 SHA512 
489ee453a5c0f6bac754f8056f738c32a815fc055daa2c1fc93c63a5e8a4c5cf017e3d687a4ba432bef0a789ed972c1a90bc56487b4014b486c0bf7ca079c565

diff --git a/sys-apps/semodule-utils/semodule-utils-2.8_rc1.ebuild 
b/sys-apps/semodule-utils/semodule-utils-2.8_rc1.ebuild
new file mode 100644
index 00000000000..821f4f48c48
--- /dev/null
+++ b/sys-apps/semodule-utils/semodule-utils-2.8_rc1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+MY_RELEASEDATE="20180419"
+SEPOL_VER="${PV}"
+SELNX_VER="${PV}"
+
+MY_P="${P//_/-}"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${MY_P}/${PN}"
+else
+       
SRC_URI="https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/${MY_RELEASEDATE}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="SELinux policy module utilities"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=sys-libs/libsepol-${SEPOL_VER}:="
+
+RDEPEND="${DEPEND}
+       !<sys-apps/policycoreutils-2.7_pre"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' "${S}"/*/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" \
+               install
+}

Reply via email to